import styles from './button.sass';
import fonts from '../../sass/fonts.sass';

const ButtonType = {
  '': 'normal',
  cancel: 'cancel',
  delete: 'delete'
};

function Controller($attrs) {
  this.text = 'button';
  this.buttonType = ButtonType[$attrs.type || ''];
  this.style = styles[this.buttonType];
  this.icon = fonts['icon-noun_340085_cc'];
}
Controller.$inject = ['$attrs'];

const Button = {
  template: require('./button.html'),
  controller: Controller
};

export default Button;
