import angular from 'angular';

describe('Button Directive', function () {
  let $scope;
  let $element;

  beforeEach(() => {
    angular.module('test', [])
      .component('uiButton', require('./button_directive'));
  });
  beforeEach(angular.mock.module('test'));

  beforeEach(angular.mock.inject($injector => {
    $scope = $injector.get('$rootScope').$new(true);
    $element = $injector.get('$compile')(angular.element('<ui-button></ui-button>'))($scope);
    $scope.$digest();
  }));

  it('should insert `button` into element', () => {
    expect($element.text()).toMatch('button');
  });
});
