(function (root, factory) {
  if (typeof define === 'function' && define.amd) {
    define(['angular'], factory);
  } else if (typeof module !== 'undefined' && typeof module.exports === 'object') {
    module.exports = factory(require('angular'));
  } else {
    return factory(root.angular);
  }
}(this, function (angular) {
  const moduleName = 'sentip.bootstrap';
  const bootstrap = angular.module(moduleName, []);

  bootstrap
    .component('uiButton', require('./button/button_directive').default)
    .component('uiWidget', require('./widget/widget_directive').default);
  return moduleName;
}));
